
*{
    margin: 0;
    padding: 0;
    font-family: consolas;
    box-sizing: border-box;
    
}

body{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    flex-direction: column;
    background: #1D1D1D;
    font-family: 'Raleway', sans-serif;
    font-weight: bold;
}

h1{
    font-family: 'Bruno Ace SC', cursive;
    list-style: none ;
    font-weight: 500;
    font-size: 100px;
    letter-spacing: 2.5vw;
    color: #555;
    text-shadow: :none;
    animation: anim 1s infinite linear;
    }

@keyframes anim{
    0%{
          color: #555;  
          text-shadow: none;
    }
    18%{
        color: #555;
        text-shadow:none;

    }
    20%{
        color: #ffea00;
        text-shadow: 0 0 1vw #ffc400, 0 0 3vw #f44336;
    }
    30%{
        color: #555;
        text-shadow: none;
    }

    35%{
        color: #ffea00;
         text-shadow: 0 0 1vw #ffc400, 0 0 3vw #f44336;
    }

     70%{
        color: #555;
        text-shadow: none;

}
 85%{
        color: #ffea00;
         text-shadow: 0 0 1vw #ffc400, 0 0 3vw #f44336;}


90%{
        color: #555;
        text-shadow: none;

}

90%{
        color: #555;
        text-shadow: none;

}}

h1:nth-child(1){

    animation-delay: :0.2s;
}





h3{ color : #ffffff;
    font-family: Bradley Hand ITC;
     font-size: 25px;

}

.imas{
    height: 100px;

}

a{
    position: relative;
    display: inline-block;
    width: 210px;
    height: 70px;
    padding: 20px 30px;
    margin: 40px 0;
    color: #03e9f4;
    font-size: 24px;
    text-decoration: none;
    text-transform: uppercase;
    transition: 0.5s;
    letter-spacing: 4px;
    overflow: hidden;
    margin-right: 50px;

   
}
a:hover{
    background: #03e9f4;
    color: #050801;
    box-shadow: 0 0 5px #03e9f4,
                0 0 25px #03e9f4,
                0 0 50px #03e9f4,
                0 0 200px #03e9f4;
     -webkit-box-reflect:below 1px linear-gradient(transparent, #0005);
}



a:nth-child(3){
    filter: hue-rotate(160deg);/*youtube*/
}
a:nth-child(4){
    filter: hue-rotate(85deg);/*instagram*/
}
a:nth-child(5){
    filter: hue-rotate(240deg);/*tiktok*/
}
a:nth-child(6){
    filter: hue-rotate(270deg);/*whatsap*/
}
a:nth-child(7){
    filter: hue-rotate(0deg);/*facebook*/
}
a span{
    position: absolute;
    display: block;
}
a span:nth-child(1){
    top: 0;
    left: 0;
    width: 100%;
    height: 2px;
    background: linear-gradient(90deg,transparent,#03e9f4);
    animation: animate1 1s linear infinite;
}
@keyframes animate1{
    0%{
        left: -100%;
    }
    50%,100%{
        left: 100%;
    }
}
a span:nth-child(2){
    top: -100%;
    right: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(180deg,transparent,#03e9f4);
    animation: animate2 1s linear infinite;
    animation-delay: 0.25s;
}
@keyframes animate2{
    0%{
        top: -100%;
    }
    50%,100%{
        top: 100%;
    }
}
a span:nth-child(3){
    bottom: 0;
    right: 0;
    width: 100%;
    height: 2px;
    background: linear-gradient(270deg,transparent,#03e9f4);
    animation: animate3 1s linear infinite;
    animation-delay: 0.50s;
}
@keyframes animate3{
    0%{
        right: -100%;
    }
    50%,100%{
        right: 100%;
    }
}


a span:nth-child(4){
    bottom: -100%;
    left: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(360deg,transparent,#03e9f4);
    animation: animate4 1s linear infinite;
    animation-delay: 0.75s;
}
@keyframes animate4{
    0%{
        bottom: -100%;
    }
    50%,100%{
        bottom: 100%;
    }
}